Get employee from organization integrated with external benefits vendor
Get employee from organization integrated with external benefits vendor
Token scopes: people:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
id
Id from the legal entity to fetch data
employee_id
Employee id from the legal entity to fetch data
Query parameters
active_contracts
Fetch only active contracts for employees
Response
Successful operation.
id
Unique identifier for the employee.
phones
List of phone numbers associated with the employee.
status
The employee status given his contracts.
addresses
List of addresses associated with the employee.
contracts
List of contracts associated with the employee.
hire_date
Employee date of first contract.
work_email
Employee work email address.
date_of_birth
Employee date of birth.
marital_status
The marital status of the employee.
personal_email
Employee personal email address.
document_number
Document number of employee identification document.
legal_last_name
Employee legal last name.
legal_first_name
Employee legal first name.
legal_middle_name
Employee legal middle name.
takes_owners_draw
Indicates if the employee takes an owner draw.
ownership_percentage
The percentage of business ownership by the employee.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error